#include "tempi.h"
#include <stdio.h>
#include <stdlib.h>

#define N 100

int main() {
	Tempo partenza[N], arrivo[N];
	FILE* file;
	int i, n, primogiro, nveloci;
	
	if ((file = fopen("tempi.txt", "r")) == NULL)
		exit(1);
	
	n = leggiTempi(file, partenza, arrivo);
	
	fclose(file);
	
	nveloci = 0;
	primogiro = differenza(arrivo[0], partenza[0]);
	for(i = 1; i < n; i++)
		if (differenza(arrivo[i], partenza[i]) < primogiro)
			nveloci++;
	
	printf("Numero di giri veloci: %d\n", nveloci);
}